Bug 975950 - Upgrade Picketlink to 2.1.6.2
Upgrade Picketlink to 2.1.6.2
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: PicketLink (Show other bugs)
6.1.1
Unspecified Unspecified
unspecified Severity unspecified
: ER4
: EAP 6.1.1
Assigned To: Peter Skopek
Josef Cacek
:
Depends On: 988089
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-19 12:25 EDT by Kyle Lape
Modified: 2013-09-16 16:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-16 16:22:22 EDT
Type: Component Upgrade
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kyle Lape 2013-06-19 12:25:11 EDT

    
Comment 1 Josef Cacek 2013-06-20 06:53:43 EDT
qa_ack was withheld for 6.1.1
There are bigger changes (and new features implemented) in PL 2.1.7.
Comment 2 Josef Cacek 2013-06-24 07:10:58 EDT
A new PL tag for EAP 6.1.1 will be created (2.1.6.1). It will only contain bugfixes. I'm granting qa_ack and changing version in the BZ summary field.
Comment 3 Peter Skopek 2013-07-09 09:49:53 EDT
Productization branch is created at http://git.app.eng.bos.redhat.com/?p=picketlink/federation.git;a=shortlog;h=refs/heads/prod-eap6-2.1.6.1
Comment 4 Peter Skopek 2013-07-09 11:46:24 EDT
https://github.com/jbossas/jboss-eap/pull/231
Comment 5 Vladimir Dosoudil 2013-07-16 15:11:33 EDT
Community sources: tag v2.1.6.1.Final
 * http://git.app.eng.bos.redhat.com/?p=picketlink/federation.git;h=refs/tags/v2.1.6.1.Final
Productization sources: tag prod-2.1.6.1.Final
 * http://git.app.eng.bos.redhat.com/?p=picketlink/federation.git;h=refs/tags/prod-2.1.6.1.Final
The extra additional patch of javadoc plugin version in reporting section in all poms (needed for plugin resolving task in mead run) is available in patch file in dist-git (in the same location as the spec file) and applied on the productization sources in mead before compilation.
MEAD build: https://brewweb.devel.redhat.com/buildinfo?buildID=282230
WrapperRPM: https://brewweb.devel.redhat.com/buildinfo?buildID=282232
Comment 6 Josef Cacek 2013-07-26 02:58:34 EDT
Changing PL version (2.1.6.2) and target version (ER4).
Vladimir has the new version ready.
Comment 7 Peter Skopek 2013-07-30 08:13:56 EDT
https://github.com/jbossas/jboss-eap/pull/262
Comment 8 Josef Cacek 2013-07-31 13:13:44 EDT
Verified in ER4.

Note You need to log in before you can comment on or make changes to this bug.